PACKAGE type_error IS
  SUBTYPE log4 IS BIT_VECTOR( 0 TO 3);
  SUBTYPE log8 IS BIT_VECTOR( 0 TO 7);

  -- this function is Ok    
  FUNCTION "not"( a : log4) return integer;

  -- this function declaration will cause an
  -- error
  FUNCTION "not"( a : log8) return integer;

END type_error;
